| 0.9.7

- Main Page
- Modules
- Files

- File List

Typedefs | Functions
gtx/integer.hpp File Reference

Go to the source code of this file.

## Typedefs
typedef signed int | sint

## Functions
template<typename genType >
GLM_FUNC_DECL genType | factorial (genType const &x)
GLM_FUNC_DECL unsigned int | floor_log2 (unsigned int x)
GLM_FUNC_DECL int | mod (int x, int y)
GLM_FUNC_DECL uint | mod (uint x, uint y)
GLM_FUNC_DECL uint | nlz (uint x)
GLM_FUNC_DECL int | pow (int x, int y)
GLM_FUNC_DECL uint | pow (uint x, uint y)
GLM_FUNC_DECL int | sqrt (int x)
GLM_FUNC_DECL uint | sqrt (uint x)

## Detailed Description

OpenGL Mathematics (glm.g-truc.net)

Copyright (c) 2005 - 2015 G-Truc Creation (www.g-truc.net) Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

Restrictions: By making use of the Software for military purposes, you choose to make a Bunny unhappy.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

GLM_GTX_integer

Date
  2005-12-24 / 2011-10-13

Author
  Christophe Riccio

See also
  GLM Core (dependence)

Definition in file gtx/integer.hpp.